﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v14.1, Version=14.1.20141.2283, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v14.1, Version=14.1.20141.2283, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v14.1, Version=14.1.20141.2283, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v14.1, Version=14.1.20141.2283, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>
    <script type="text/javascript" id="igClientScript1">

    </script>

    <script type="text/javascript">
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <ig:WebDataGrid ID="WebDataGrid1" runat="server" AutoGenerateColumns="False"
                Height="425px" DataSourceID="SqlDataSource1" EnableDataViewState="True">
                <Columns>
                    <ig:BoundDataField DataFieldName="ProductID" Key="ProductID" Header-Text="id">
                        <Header Text="ProductID"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="ProductName" Key="ProductName" Header-Text="Name">
                        <Header Text="ProductName"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="SupplierID"
                        DataFieldName="SupplierID">
                        <Header Text="SupplierID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="CategoryID"
                        DataFieldName="CategoryID">
                        <Header Text="CategoryID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="QuantityPerUnit" Key="QuantityPerUnit" Header-Text="Department">
                        <Header Text="QuantityPerUnit"></Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="UnitPrice"
                        DataFieldName="UnitPrice">
                        <Header Text="UnitPrice">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="UnitsInStock" Key="UnitsInStock">
                        <Header Text="UnitsInStock">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="UnitsOnOrder" Key="UnitsOnOrder">
                        <Header Text="UnitsOnOrder">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="ReorderLevel" Key="ReorderLevel">
                        <Header Text="ReorderLevel">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Discontinued" Key="Discontinued">
                        <Header Text="Discontinued">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="DiscontinuedStr" Key="DiscontinuedStr" DataType="System.String">
                        <Header Text="DiscontinuedStr">
                        </Header>
                    </ig:BoundDataField>
                    <%--<ig:TemplateDataField Key="Discontinued" Header-Text="Discontinued">
                        <ItemTemplate>
                            <asp:Label ID="Discontinued" runat="server" Text='<%# (bool)Eval("Discontinued") ? "Yes": "No" %>'></asp:Label>
                        </ItemTemplate>
                    </ig:TemplateDataField>--%>
                </Columns>
                <Behaviors>
                    <ig:Paging Enabled="true" PageSize="50">
                    </ig:Paging>
                    <ig:Selection RowSelectType="Multiple" CellClickAction="row" Enabled="true">
                        <AutoPostBackFlags RowSelectionChanged="True" />
                    </ig:Selection>
                    <ig:Sorting Enabled="true">
                    </ig:Sorting>
                    <ig:EditingCore BatchUpdating="true">
                        <Behaviors>
                            <ig:RowDeleting />
                            <ig:RowAdding></ig:RowAdding>
                        </Behaviors>
                    </ig:EditingCore>
                </Behaviors>
                <Templates>
                    <ig:ItemTemplate ID="WebDataGrid1Template1" runat="server" TemplateID="Template1">
                    </ig:ItemTemplate>
                </Templates>
            </ig:WebDataGrid>


            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                SelectCommand="SELECT ProductID, ProductName, SupplierID, CategoryID, QuantityPerUnit, UnitPrice, UnitsInStock, UnitsOnOrder, ReorderLevel, Discontinued, CASE WHEN Discontinued = 1 THEN 'Yes' ELSE 'No' END AS DiscontinuedStr FROM Products">
            </asp:SqlDataSource>
        </div>
    </form>
</body>
</html>
